
QGIS Application - Bug report #18380

Unable to embed layer groups from other project. But able to import specific layer from a group

2018-03-07 09:01 PM - Etiënne Thomassen

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Project Loading/Saving

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26270

Description

On previous versions of QGIS I was able to import entire layer groups and their layers and symbology from other project files. Now when I

do the same I get the layer names in the layer tree, but nothing appears.

It does work when I select a specific layer from the parent project file, but it does not when I want embed an entire layer group.

Associated revisions

Revision 96f74269 - 2018-06-08 11:12 AM - Matthias Kuhn 

Load layers within embedded groups

Fix #18380

History

#1 - 2018-03-07 10:00 PM - Giovanni Manghi

- Category changed from Symbology to Project Loading/Saving

- Priority changed from Low to High

- Regression? changed from No to Yes

#2 - 2018-03-11 09:24 PM - Richard Duivenvoorde

Hi, can you please add some minimal projects, so it is easier for people here to reproduce?

You could either add some tiny datasets, or else work with online services?

#3 - 2018-03-11 10:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-03-19 09:07 PM - Etiënne Thomassen

- File step5_result_ext_3.PNG added

- File step6_result_ext_3.PNG added

- File step4_result_ext_2.PNG added

- File step3_result_ext_1.PNG added

- File step2_new_project_select_embed.PNG added

- File step1_source_project_ext.PNG added

- File embed.gpkg added

- File source_project_ext.qgs added
I have enclosed a project file and a geopackage with 3 tables which are referenced from the project file.

Thanks to making these files, I now have additional feedback. I added screenshots of the steps I take.

Remarks:

- embedding layers from another project does not preserve the order of the layer(groups)

- layer groups embedded from another project are inactive after importing

- activating them does not make them visible

- moving a layer group seems to activate them and enables me to either make them visible. Or they appear after moving them when I already activated the

layer

HTH!

#5 - 2018-03-26 09:23 PM - Etiënne Thomassen

- Status changed from Feedback to Open

Added feedback a few days ago, but I think I also need to set the status to 'open'?

#6 - 2018-03-27 05:36 PM - Jan Lippmann

i can confirm. embedded layer and groups from other projects appears in the project (layertree) in which the groups/layer loaded in, BUT no layer data and

no symbology appear. no embedded layer appear in the snap options.

affected version is 3.0.1

this problem do not accure with actual master.

OS:Win 7  64bit

QGIS-Version

3.0.1-Girona

QGIS-Codeversion

a86bec25eb

Kompiliert gegen Qt

5.9.2

Laufendes Qt

5.9.2

Kompiliert mit GDAL/OGR

2.2.4

Läuft mit GDAL/OGR

2.2.4

Kompiliert mit GEOS

3.5.0-CAPI-1.9.0

Läuft mit GEOS

3.5.0-CAPI-1.9.0 r4084

PostgreSQL-Client-Version

9.2.4

SpatiaLite-Version
4.3.0

QWT-Version

6.1.3

QScintilla2-Version

2.10.1

PROJ.4-Version

493

#7 - 2018-03-30 11:44 AM - Jan Lippmann

can someone else confirm that issue? i think it's a regression and should be fixed in the next point release 3.0.2

thanks! :-)

#8 - 2018-06-06 05:08 PM - Marco Bernasocchi

Still present in 3.0.3

#9 - 2018-06-07 10:16 AM - Marco Bernasocchi

Still present in master https://github.com/qgis/QGIS/commit/2e5e20eb54

the workaround of moving the group is also still working

#10 - 2018-06-08 11:10 AM - Matthias Kuhn

- Assignee set to Matthias Kuhn

#11 - 2018-06-08 11:16 AM - Matthias Kuhn

- Affected QGIS version changed from 3.0.0 to 3.1(master)

- Pull Request or Patch supplied changed from No to Yes

#12 - 2018-06-11 10:31 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|96f7426946b31c54d72bacd19953657d191f54b4.

Files

source_project_ext.qgs 47.8 KB 2018-03-19 Etiënne Thomassen

embed.gpkg 152 KB 2018-03-19 Etiënne Thomassen

step1_source_project_ext.PNG 63.3 KB 2018-03-19 Etiënne Thomassen

step3_result_ext_1.PNG 17 KB 2018-03-19 Etiënne Thomassen

step2_new_project_select_embed.PNG 161 KB 2018-03-19 Etiënne Thomassen

step4_result_ext_2.PNG 75.6 KB 2018-03-19 Etiënne Thomassen

step5_result_ext_3.PNG 75.8 KB 2018-03-19 Etiënne Thomassen

step6_result_ext_3.PNG 74.2 KB 2018-03-19 Etiënne Thomassen

2025-04-27 3/3

https://github.com/qgis/QGIS/commit/2e5e20eb54

